Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QueryAndInfo

    java.lang.Object
      jet.api.QueryAndInfo

    public class QueryAndInfo

extends java.lang.Object

Constructor Summary
`QueryAndInfo()` Constructor.

Method Summary
`void` | `add(java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic)` Adds a definition of where condition object of a query.
`java.lang.String[]` | `getAndInfo()` Gets all where conditions in a String array.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryAndInfo

    public QueryAndInfo()

  Constructor. Creates a where condition object. The QueryAndInfo contains a set of filter conditions.

Method Detail

### add

    public void add(java.lang.String sExpression1,
                    java.lang.String sOperator,
                    java.lang.String sExpression2,
                    java.lang.String sLogic)

  Adds a definition of where condition object of a query. An example condition could be "sExpression1 sOperator sExpression2 sLogic". If the expression is a field in the query, it must be marked by "@".

  Parameters:
    `sLogic` - Specifies the logic string of the where condition. The logic describes the relationship between this sentence and the next condition, such as "AND" and "OR".
    `sExpression1` - Specifies the first expression of the where condition.
    `sOperator` - Specifies the operator of the where condition.
    `sExpression2` - Specifies the second expression of the where condition.

### getAndInfo

    public java.lang.String[] getAndInfo()

  Gets all where conditions in a String array. Each element of the array presents a part of the conditions. It presents as a loop in the order of `sExpression1`, `sOperator`, `sExpression2`, and `sLogic`.

  Returns:
    the String array of the where condition.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD